curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"target_type": "prompt",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "1-5",
"llm_eval_enabled": true,
"id": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Create a new evaluation criteria in a project. Use to set up criteria for evaluating LLM outputs in test runs or online evaluations.
curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/evaluation-criteria \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"target_type": "prompt",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "1-5",
"llm_eval_enabled": true,
"id": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
prompt, agent 1-5, 1-3, 1-100, yes-no, multi-select, text, auto-categorization, code-bool, code-float CreateEvaluationCriteriaResponse(id: uuid.UUID)